Forum: GNU Radio MacPorts: Installing wxWidgets-devel @2.9.4

49c4e5d024c18583bd6ca53aba800d29?d=identicon&s=25 Michael Dickens (Guest)
on 2013-08-22 15:52
(Received via mailing list)
For OSX users installing GNU Radio via MacPorts, the WX branch is
getting closer to working; still a few days away, but getting closer.
In the meantime, a few folks have tried out the following "script" and
it seems to work for them to get wxWidgets-devel @2.9.4 installed --
which matches the version of wxPython-devel already installed, and thus
forms a temporary work-around for the current WX issues.  Watch wrap
when doing cut-and-paste, and I look forward to feedback if this works
or does not for you. - MLD

{{{

mkdir tmp
cd tmp
svn co -r 108793
http://svn.macports.org/repository/macports/trunk/...
cd wxWidgets-devel
old_active_wxWidgets_devel=`port installed | grep wxWidgets | grep
active | sed -e 's@(active)@@g'`
this_wxWidgets_devel_vars=`port installed | grep wxWidgets | grep active
| tail -1 | awk '{ print $2 }' | sed -e 's|[@0-9_\.]*||g'`
sudo port -f deactivate $old_active_wxWidgets_devel
sudo port install $this_wxWidgets_devel_vars

}}}

and if that succeeds (or, if you just want to), you can clean up by
doing:

{{{

cd ../..
rm -rf tmp

}}}
Please log in before posting. Registration is free and takes only a minute.
Existing account

NEW: Do you have a Google/GoogleMail, Yahoo or Facebook account? No registration required!
Log in with Google account | Log in with Yahoo account | Log in with Facebook account
No account? Register here.